var isSupportTouch = "ontouchend" in document ? true : false;
var processbar1=$("#processbar1");
var processbar2=$("#processbar2");
var tabs = $('div[data-tab]');
var keyActionTimer = null;
var curKeyState = 0;
var curKeyCode = "";
var curPath = "";
var selectedPaths = [];
var selectedPathId = 0;
var fileOperItems = $('.file-oper-items');

$("#btnPlay").on("click", function() {
    console.log('123123')
	var url = $('#playUrl').val();
	if (url.length > 0 && (url.indexOf('http://') == 0
		|| url.indexOf('https://') == 0
		|| url.indexOf('thunder://') == 0
		|| url.indexOf('ed2k://') == 0
		|| url.indexOf('ftp://') == 0
		|| url.indexOf('rtmp://') == 0
		|| url.indexOf('rtmps://') == 0
		|| url.indexOf('magnet:?') == 0)){

		    if(url.length > 250){
		        alert('输入的地址太长');
		        return
		    }
			$.post("/play", {playUrl: encodeURI(url)}, function(data) {
				console.log(data)
			})
	}else{
		alert('请输入正确的网络视频地址，只支持http/ftp/thunder/ed2k/magnet');
	}
})

$("#btnClean").on("click", function() {
        var value = $('#playUrl').val()
        console.log(value)
        $('#playUrl').val('');
        $("#btnClean").css('background-color','rgba(153,153,153,1)')
})

$('#playUrl').on('input',function(){
    var value = $('#playUrl').val()
        if(value.length>0){
            $("#btnClean").css('background-color','rgba(24,136,240,1)')
            }else{
            $("#btnClean").css('background-color','rgba(153,153,153,1)')
        }
    }
)


function playMedia(obj){
	$.post("/play", {playUrl: $(obj).attr('uri'), "useSystem":$('#playUseSystem')[0].checked}, function(data) {
		console.log(data)
	})
}
$('#stopPlay').on("click", function(){
	$.post("/playStop",null, function(data) {
		console.log(data)
	})
});
$('#playUseSystem').on("click", function(){
	if(this.checked){
		alert('调用外部播放器不会自动结束边下边播任务，结束播放后请手动点击停止！');
	}
});
$('#speedInterval').on("change", function(){
	$.post("/changePlayFFI", {speedInterval: this.value}, function(data) {
		console.log(data)
	})
});

$("#btnClear").on("click", function() {
	if(confirm("是否要删除所有传送的文件？")){
		$.post("/clearCache", null, function(data) {
			console.log(data);
			alert("传送的文件都已清除完毕！")
		})
	}
})
$("#upfile,#upfile2,#upfile3").change(function() {
	var id = this.id;
	var formData = new FormData;
	var file = this.files[0];
	var processbar = null;
	if(id == "upfile2"){
		formData.append("path", curPath);
		processbar = processbar2;
	}else if(id == "upfile"){
		formData.append("autoInstall", $('#cbAutoInstall')[0].checked);
		formData.append("useSystem", $('#playUseSystem')[0].checked);
		processbar = processbar1;
	}
	formData.append("file", file, encodeURI(file.uploadName || file.name));

	$.ajax({
		type: "POST",
		url: id == "upfile2" ? "/file/upload" : (id == "upfile3" ? "/torrent/upload" : "/upload"),
		dataType: "json",
		data: formData,
		processData: false,
		contentType: false,
		xhr: function() {
			var xhr = $.ajaxSettings.xhr();
			if(xhr.upload){

				xhr.upload.addEventListener("progress", function(e) {
					if(processbar){
						var p = Math.floor(100 * e.loaded / e.total) + "%";
						processbar.css({
							width: p
						}).text(p);
					}
					if(e.loaded == e.total) $(id).val("");
				}, false);
			}
			return xhr;
		},
		beforeSend: function() {
			if(processbar){
				processbar.css({
					width: "1%"
				}).text("")
			}
		},
		success: function(data) {
			if(data.success){
				if(id == "upfile2"){
					loadFileList(curPath);
					alert("文件已成功上传到当前目录。");
				}else if(id == "upfile3"){
					alert("种子文件已上传成功");
                    document.getElementById('upfile3').value = ""
//					addTorrentItems(data);
				}else{
					if($('#cbAutoInstall')[0].checked && file.name.indexOf(".apk") != -1){
						alert("APK包已传送到TV盒子并执行安装，请留意TV屏幕的安装请求。");
					}else{
						alert("文件已成功传送到TV盒子，存储于：" + data.filePath);
					}
				}
			}else{
				alert("抱歉，文件上传失败！");
                document.getElementById('upfile3').value = ""
			}
		}
	});
});
$('#btnPlayTorrent').on('click', function(){
	var torrentItems = $("#torrentItems");
	var videoIndex = torrentItems.val();
	if(videoIndex != ''){
		$.post('/torrent/play', {"videoIndex":videoIndex, "useSystem":$('#playUseSystem')[0].checked}, function(data){
			console.log(data);
		});
	}
});
function addTorrentItems(data){
	var torrentItems = $("#torrentItems");
	torrentItems.empty();
	if(data.files && data.files.length){
		for(var i=0; i<data.files.length; i++){
			var f = data.files[i];
			torrentItems.append("<option value='" + f.index + "'>" + f.name + "(" + formatSize(f.size) + ")</option>");
		}
		torrentItems.val(data.files[0].index);
	}
}
function loadTorrentItems(){
	$.post('/torrent/data', null, function(data){
		if(data.success)addTorrentItems(data);
	});
}

var upgradeScript = null;

function upgrade() {
//	$.get('/version', function(version){
//		$('#curVer').html(version);
//	});
//	if(null != upgradeScript){
//		document.body.removeChild(upgradeScript);
//	}
//	var upgradeScript = document.createElement("script");
//	upgradeScript.type = "text/javascript";
//	upgradeScript.src = "http://tvremoteime-1255402058.cos.ap-guangzhou.myqcloud.com/upgrade.js";
//	document.body.appendChild(upgradeScript);
}

function checkInput(){
    console.log('111')
}

upgrade();
setInterval(function() {
	upgrade()
}, 18e5);